org.apache.cayenne.rop

## Class ServerHttpRemoteService

- java.lang.Object
- - org.apache.cayenne.remote.service.BaseRemoteService
  - - org.apache.cayenne.remote.service.HttpRemoteService
    - - org.apache.cayenne.rop.ServerHttpRemoteService

- All Implemented Interfaces:
    Remote, RemoteService

      public class ServerHttpRemoteService
      extends HttpRemoteService

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.remote.service.BaseRemoteService

      `contextFactory, eventBridgeFactoryName, eventBridgeParameters, logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerHttpRemoteService(ObjectContextFactory contextFactory, Map<String,String> eventBridgeProperties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.servlet.http.HttpSession` | `getSession(boolean create)` Returns an HttpSession associated with the current request in progress.

    - ### Methods inherited from class org.apache.cayenne.remote.service.HttpRemoteService

      `createServerSession, createServerSession, getServerSession, getSharedChannel, saveSharedChannel`

    - ### Methods inherited from class org.apache.cayenne.remote.service.BaseRemoteService

      `close, createChannel, createRemoteSession, establishSession, establishSharedSession, getEventBridgeFactoryName, getEventBridgeParameters, initEventBridgeParameters, processMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerHttpRemoteService

          public ServerHttpRemoteService(ObjectContextFactory contextFactory,
                                         Map<String,String> eventBridgeProperties)

  - ### Method Detail

    - #### getSession

          protected javax.servlet.http.HttpSession getSession(boolean create)

      Description copied from class: `HttpRemoteService`
      Returns an HttpSession associated with the current request in progress.
      Specified by:
        `getSession` in class `HttpRemoteService`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.